import request from '@/axios'
export default {
	//新增资料模板
	addbaseprofiletp(data) {
		return request({
			url: '/base/profile/tp',
			method: 'post',
			data: data
		})
	},
	//修改资料模板
	editbaseprofiletp(data) {
		return request({
			url: '/base/profile/tp/edit',
			method: 'post',
			data: data
		})
	},
	//获取所有使用商品ID
	getbaseprofiletplist(data) {
		return request({
			url: '/base/profile/tp/goods_list',
			method: 'get',
			params: data
		})
	},
	//获取填写资料审核详细信息
	getbaseprofiletpgetInfo(data) {
		return request({
			url: '/base/profile/tp/getInfo',
			method: 'get',
			params: data
		})
	},
	//查询资料模板列表
	getbaseprofiletplists(data) {
		return request({
			url: '/base/profile/tp/list',
			method: 'get',
			params: data
		})
	},
	//查询填写资料审核列表
	getbaseprofiletplistProfile(data) {
		return request({
			url: '/base/profile/tp/listProfile',
			method: 'get',
			params: data
		})
	},
	//获取资料模板详细信息
	getbaseprofiletpId(data) {
		return request({
			url: '/base/profile/tp/' + data,
			method: 'get'
		})
	},

  //获取填写盖章审核详细信息
	getbaseprofileStampgetInfo(data) {
		return request({
			url: '/base/profileStamp/getInfo',
			method: 'get',
			params: data
		})
	},

  
	//导出盖章word
	addWordbaseprofileStamp(data) {
		return request({
			url: '/base/profileStamp/addWord',
			method: 'post',
			data: data
		})
	},

  //修改填写盖章审核
	editbaseprofileStamp(data) {
		return request({
			url: '/base/profileStamp/edit',
			method: 'post',
			data: data
		})
	},

  //新增填写盖章审核
	addbaseprofileStamp(data) {
		return request({
			url: '/base/profileStamp',
			method: 'post',
			data: data
		})
	},

  baseProfileStampV2AddWord(data) {
		return request({
			url: '/base/profileStamp/V2/addWord',
			method: 'post',
			data: data
		})
	}

}
